/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.message.api;

import nl.cloudfarming.eventbus.BaseGuiEventProducer;

/**
 * MessageEventProducer is used to trigger MessageEvents using for example:
 * 
 * messageEventProducer.triggerEvent(new MessageEvent(testMessage, MessageEventKey.NEW_MESSAGE));
 * 
 * or
 * 
 * messageEventProducer.triggerEvent(new MessageEvent(testMessage, MessageEventKey.MESSAGE_READ));
 * 
 * etc.
 * 
 * @author Gerben Feenstra
 */
public class MessageEventProducer extends BaseGuiEventProducer {
        public MessageEventProducer() {
            super(MessageEventKey.class);
        }
}
